# Function getCalldataAllocations

- getCalldataAllocations(contracts, referenceDeclarations, userDefinedTypes, abiAllocations): CalldataAllocations

- #### Parameters

  - ##### contracts: ContractAllocationInfo[]

  - ##### referenceDeclarations: {
    [compilationId: string]: AstNodes;
    }

    - ##### [compilationId: string]: AstNodes

  - ##### userDefinedTypes: TypesById

  - ##### abiAllocations: AbiAllocations

  #### Returns CalldataAllocations

  - Defined in codec/lib/abi-data/allocate/index.ts:1033

Generated using TypeDoc